Extending Qt Creator Manual | HelpItem

Extending Qt Creator Manual 4.5.2

# HelpItem Class

(TextEditor::HelpItem)

- List of all members, including inherited members

## Public Types

enum | Category { ClassOrNamespace, Enum, Typedef, Macro, ..., Unknown }

## Public Functions

| HelpItem()
| HelpItem(const QString &helpId, Category category)
| HelpItem(const QString &helpId, const QString &docMark, Category category)
| HelpItem(const QString &helpId, const QString &docMark, Category category, const QMap<QString, QUrl> &helpLinks)
| ~HelpItem()
Category | category() const
const QString & | docMark() const
QString | extractContent(bool extended) const
const QString & | helpId() const
bool | isValid() const
void | setCategory(Category cat)
void | setDocMark(const QString &mark)
void | setHelpId(const QString &id)

## Member Type Documentation

### enum HelpItem::Category

## Member Function Documentation

### HelpItem::HelpItem()

Default constructs an instance of HelpItem.

### HelpItem::HelpItem(const QString &helpId, Category category)

Default constructs an instance of HelpItem.

### HelpItem::HelpItem(const QString &helpId, const QString &docMark, Category category)

Default constructs an instance of HelpItem.

### HelpItem::HelpItem(const QString &helpId, const QString &docMark, Category category, const QMap<QString, QUrl> &helpLinks)

Default constructs an instance of HelpItem.

### HelpItem::~HelpItem()

Destroys the instance of HelpItem.

### Category HelpItem::category() const

See also setCategory().

### const QString &HelpItem::docMark() const

See also setDocMark().

### QString HelpItem::extractContent(bool extended) const

### const QString &HelpItem::helpId() const

See also setHelpId().

### bool HelpItem::isValid() const

### void HelpItem::setCategory(Category cat)

See also category().

### void HelpItem::setDocMark(const QString &mark)

See also docMark().

### void HelpItem::setHelpId(const QString &id)

See also helpId().